# Intel® Enhanced Privacy ID SDK: epid/verifier/verifybasic.c File Reference

verifybasic.c File Reference

VerifyBasicSig implementation. More...

`#include "epid/verifier/api.h"`
`#include "epid/verifier/context.h"`
`#include "epid/common/memory.h"`

## Macros

#define | BREAK_ON_EPID_ERROR(ret)
| Handle SDK Error with Break. More...
#define | COUNT_OF(A) (sizeof(A) / sizeof((A)[0]))
| Count of elements in array.

## Functions

EpidStatus | EpidVerifyBasicSig (VerifierCtx const *ctx, BasicSignature const *sig, void const *msg, size_t msg_len, void const *basename, size_t basename_len)
| Verifies a member signature without revocation checks. More...

## Detailed Description

VerifyBasicSig implementation.

## Macro Definition Documentation

#define BREAK_ON_EPID_ERROR | ( |  | ret | ) |

Value:
if (kEpidNoErr != (ret)) { \
break; \
}
kEpidNoErr
no error
Definition: errors.h:41

Handle SDK Error with Break.